<?php use_helper('tvtl'); ?>
<?php
  $filters = $sf_params->get('filters');
  $selected = $filters['sc_district'];
  $province_id = $filters['sc_province'];
  $c = new Criteria();
  $c->add(TblblogschoolsPeer::SC_PARENT , $province_id);
  $c->add(TblblogschoolsPeer::SC_TYPE, 1);
  $districts = TblblogschoolsPeer::doSelect($c);
  if ($districts) {
    $guide = new Tblblogschools();
    $guide->setScId('');
    $guide->setScName('-Select District-');
    array_unshift($districts, $guide);
    echo select_tag('filters[sc_district]',
      objects_for_select($districts, 'getScId', 'getScName', $selected)
    );
  } else {
    echo select_tag('filters[sc_district]', array(''=>'-Select District-'));
  }
?>